#!/usr/bin/env python

from omics_pipe.parameters.default_parameters import default_parameters
from omics_pipe.utils import *
p = Bunch(default_parameters)


def collectStatus_WES(sample, collectStatus_WES_flag):
    '''collect status preprocessing steps for whole exome sequencing.

    input:
       --sample_name
       --readgroup_name 
       --stat_path
       --vcf_path
    output:
        _speek.txt
    link:
        http://ec2-54-204-246-59.compute-1.amazonaws.com/sp/
    parameters from parameters file:
        SAMPLE_NAME:

        READGROUP_NAME:         

        TEMP_DIR:

        STAT_PATH:

        VCF_PATH:
        '''

    spawn_job(jobname = 'collectStatus_WES', SAMPLE = sample, LOG_PATH = p.LOG_PATH, RESULTS_EMAIL = p.RESULTS_EMAIL, SCHEDULER = p.SCHEDULER, walltime = "240:00:00", queue = p.QUEUE, nodes = 1, ppn = 2, memory = "8gb", script = "/collectStatus" + ".sh", args_list = [p.BWA_RESULTS, sample, p.TEMP_DIR])
    job_status(jobname = 'collectStatus_WES', resultspath = p.BWA_RESULTS, SAMPLE = sample,  outputfilename = sample + "_speek.txt", FLAG_PATH = p.FLAG_PATH)
    return

if __name__ == '__main__':
    collectStatus_WES(sample, collectStatus_WES_flag)
    sys.exit(0)
