#!/usr/bin/env python

from omics_pipe.parameters.default_parameters import default_parameters
from omics_pipe.utils import *
p = Bunch(default_parameters)


def picard_addReadsGroups_WES(sample, picard_addReadsGroups_flag):
    '''Picard tools AddReadsGroups.

    input:
        _sorted.bam
    output:
        _sorted.rg.bam
    citation:
        http://picard.sourceforge.net/
    link:
        http://picard.sourceforge.net/
    parameters from parameters file:
        BWA_RESULTS:

        SAMPLE:

        TEMP_DIR:

        PICARD_VERSION:

        RG_STR_PICARD:
    '''

    spawn_job(jobname = 'picard_addReadsGroups_WES', SAMPLE = sample, LOG_PATH = p.LOG_PATH, RESULTS_EMAIL = p.RESULTS_EMAIL, SCHEDULER = p.SCHEDULER, walltime = "240:00:00", queue = p.QUEUE, nodes = 1, ppn = 4, memory = "8gb", script = "/picard_addReadsGroups_DRAW.sh", args_list = [p.BWA_RESULTS, sample, p.TEMP_DIR, p.PICARD_VERSION, p.RG_STR_PICARD])
    job_status(jobname = 'picard_addReadsGroups_WES', resultspath = p.BWA_RESULTS, SAMPLE = sample,  outputfilename = sample + "/" + sample + "_sorted.rg.bam", FLAG_PATH = p.FLAG_PATH)
    return

if __name__ == '__main__':
    picard_addReadsGroups_WES(sample, picard_addReadsGroups_WES_flag)
    sys.exit(0)
