#!/bin/bash
set -x

#Source modules for current shell
source /home/sgeadmin/.bash_profile



####INPUTS: $1: BWA_RESULTS $2 SAMPLE $3: TEMP_DIR $4 GATK_VERSION $5 GENOME  $6 TARGET  $7 BWA_INDEX


#if [ -z  ];then
#  LTAG=""
#  SUFFIX="_genome.readct"
#else
  LTAG="-L $6"
  SUFFIX="_target.readct"
#fi



if [ -z $1/$2/stat ];then
  OUT="${2}$SUFFIX"
else
        mkdir -p $1/$2/stat
  OUT="$1/$2/stat/${2}$SUFFIX"
fi

######################## GATK CountReads ###################

java -Xmx2g -jar $GATK_HOME \
 -R $7 \
 -T CountReads \
 --read_filter MappingQualityUnavailable \
 --read_filter UnmappedRead \
 --read_filter DuplicateRead \
 --read_filter MappingQualityZero \
 $LTAG \
 -I $1/$2/$2_sorted.rg.md.bam > $OUT

java -Xmx2g -jar $GATK_HOME \
 -R $7 \
 -T CountReads \
 --read_filter MappingQualityUnavailable \
 --read_filter UnmappedRead \
 --read_filter DuplicateRead \
 --read_filter MappingQualityZero \
 -I $1/$2/$2_sorted.rg.md.bam > $1/$2/stat/${2}_genome.readct

if [ ! -s $OUT ]
then
 echo "Incomplete output file $OUT"
 exit 100
fi

if [ $(stat --printf="%s" $OUT) = 100 ];then
 echo "Memory Error. Exitting."
 exit 100
fi

exit 0
