#!/bin/bash
set -x

#Source modules for current shell
source /home/sgeadmin/.bash_profile


####INPUTS: $1: BWA_RESULTS $2 SAMPLE $3: TEMP_DIR $4 GATK_VERSION $5 GENOME $6 DBSNP $7 TARGET_FLANKS_FILE $8 GATK_THREADS


if [ ! -e "$1/$2/stat" ]
then
 mkdir -p $1/$2/stat
fi

LTAG="-L $7"


java -Xmx5g -verbose:sizes -jar $GATK_HOME \
   -R $5 \
   -T DepthOfCoverage \
   -I $1/$2/${2}_recal.FULL.bam \
   -l INFO \
   -omitBaseOutput \
   -omitIntervals \
   --summaryCoverageThreshold 10 \
   --summaryCoverageThreshold 20 \
   -nt $8 \
   $LTAG \
   -o $1/$2/stat/s_$2_recal_target.coverage


if [ ! -e "$1/$2/stat/s_$2_recal_target.coverage*" ]
then
 echo "Missing output: s_$2_recal_target.coverage"
 exit 100
fi


exit 0
