#!/bin/bash
set -x

#Source modules for current shell
source /home/sgeadmin/.bash_profile


####INPUTS: $1: BWA_RESULTS $2 SAMPLE $3: TEMP_DIR $4 GATK_VERSION $5 GENOME $6 TARGET_FLANKS_FILE  $7 BWA_INDEX  $8 GATK_THREADS  $9 DBSNP



if [ $6 == "WGS" ];then
  LTAG=""
else
  LTAG="-L $6"
fi

######################## GATK RealignerTargetCreator ###################

java -Xmx1g \
   -jar $GATK_HOME \
   -T RealignerTargetCreator \
   -R $5 \
   -nt $8 \
   $LTAG \
   --known $9 \
   --read_filter UnmappedRead \
   -I $1/$2/$2_sorted.rg.md.bam \
   -o $1/$2/$2.indel_calls.interval_list


#force error when missing output
if [ ! -s "$1/$2/$2.indel_calls.interval_list" ]
then
 echo "Missing indel_calls $2.indel_calls.interval_list, can not continue"
 exit 100
fi

exit 0
