#!/bin/bash
set -x

#Source modules for current shell
source /home/sgeadmin/.bash_profile


####INPUTS: $1: BWA_RESULTS $2 SAMPLE $3: TEMP_DIR $4 GATK_VERSION $5 GENOME $6 DBSNP $7 TARGET_FLANKS_FILE




mkdir -p $1/$2/csv

DFILE="$1/$2/csv/$2.recal_data.csv"

# Check for missing index
if [ -s $1/$2/${2}.indel_realign.bam ]
then
 #check for index
 if [ ! -s $1/$2/${2}.indel_realign.bai ];then samtools index $1/$2/${2}.indel_realign.bam $1/$2/${2}.indel_realign.bai;fi
else
 echo "missing input BAM: " $1/$2/${2}.indel_realign.bam
 exit 100
fi

# Check BAM EOF
#BAM_28=$(tail -c 28 $1/$2/${2}.indel_realign.bam|xxd -p)
#if [ "$MAGIC28" != "$BAM_28" ]
#then
#  echo "Error with BAM EOF"
#  exit 100
#fi

if [ -z $6 ];then
  DTAG="--run_without_dbsnp_potentially_ruining_quality"
else
  DTAG="-knownSites $6"
fi

if [ $7 == "WGS" ];then
  LTAG=""
else
  LTAG="-L $7"
fi

java -Xmx3072m -jar $GATK_HOME \
  -l INFO \
  -R $5 \
  $DTAG \
  $LTAG \
  -I $1/$2/${2}.indel_realign.bam \
  -T BaseRecalibrator \
   -cov ReadGroupCovariate \
   -cov QualityScoreCovariate \
   -cov CycleCovariate \
   -cov ContextCovariate \
   -o "$DFILE"


   #force error when missing recalFile. Would prevent continutation of pipeline
   if [ ! -s "$DFILE" ]
   then
    echo "Missing DFILE in "
    exit 100
   fi

exit 0
