#!/bin/bash
set -x

#Source modules for current shell
source /home/sgeadmin/.bash_profile


####INPUTS: $1: BWA_RESULTS $2 SAMPLE $3: TEMP_DIR $4 GATK_VERSION $5 GENOME $6 DBSNP $7 TARGET_FLANKS_FILE


DFILE="$1/$2/csv/$2.recal_data.csv"
if [ ! -s "$DFILE" ]; then
 echo "Error: missing recalfile $DFILE"
 exit 100
fi

 java -Xmx2800m -jar $GATK_HOME \
   -l INFO \
   -R $5 \
   -I $1/$2/${2}.indel_realign.bam \
   -T PrintReads \
   -o $1/$2/${2}_recal.FULL.bam \
   -BQSR "$DFILE"


# throw error if < 1024 bytes
if [ $(stat --printf="%s" "$1/$2/${2}_recal.FULL.bam") -le 1024 ]
then
    exit 100
fi

#throw an error if no output file
if [ ! -s "$DFILE" ];then
    echo "Error: no recalFile outputted"
    exit 100
fi


exit 0
