#!/bin/bash
set -x

#Source modules for current shell
source /home/sgeadmin/.bash_profile


####INPUTS: $1: BWA_RESULTS $2 SAMPLE $3: TEMP_DIR $4 mmq $5 GENOME $6 DBSNP $7 TARGET_FLANKS_FILE $8 GATK_THREADS $9 mbq

mkdir -p $1/$2/vcf

#optional dbsnp; no dbSNP for celegans
#if [ -z $6 ];then
#  DTAG=""
#else
#  DTAG="-D $6"
#fi

#optional $TARGET, i.e. WGS if -z
#if [ -z $7 ] || [ $7 == "WGS" ];then
#  LTAG=""
#else
#  LTAG="-L $7"
#fi

java -Xms454m -Xmx3181m -Djava.io.tmpdir=$3 -jar $GATK_HOME \
         -T HaplotypeCaller \
         -R $5 \
         -I $1/$2/${2}_recal.FULL.bam \
         --annotateNDA \
         --output_mode EMIT_ALL_CONFIDENT_SITES \
         --emitRefConfidence GVCF  \
         --variant_index_type LINEAR \
         --variant_index_parameter 128000 \
         --dbsnp $6 \
         -o $1/$2/vcf/${2}.allbases.snps.indels.g.vcf

 if [ ! -s "$1/$2/vcf/${2}.allbases.snps.indels.g.vcf" ]
  then
   echo "gvcf incomplete!"
   exit 100;
 fi

exit 0
