#!/bin/bash
set -x

#Source modules for current shell
source /home/sgeadmin/.bash_profile


####INPUTS: $1: BWA_RESULTS $2 SAMPLE $3: TEMP_DIR $4 mmq $5 GENOME $6 DBSNP $7 TARGET_FLANKS_FILE $8 GATK_THREADS $9 mbq

mkdir -p $1/$2/vcf

#optional dbsnp; no dbSNP for celegans
if [ -z $6 ];then
  DTAG=""
else
  DTAG="-D $6"
fi

#optional $TARGET, i.e. WGS if -z
if [ -z $7 ];then
  LTAG=""
else
  LTAG="-L $7"
fi

java -Xmx4g -jar $GATK_HOME \
 -l INFO \
 -R $5 \
 -T UnifiedGenotyper \
 -mbq $9 \
 --read_filter MappingQuality -mmq $4 \
 --read_filter DuplicateRead \
 --genotype_likelihoods_model BOTH \
 -nt $8 \
 $DTAG \
 $LTAG \
 -I $1/$2/${2}_recal.FULL.bam \
 -o $1/$2/vcf/${2}_snpcal_unifiedGenotyper_mbq_${9}_mmq_${4}.vcf


if [ ! -s "$1/$2/vcf/${2}_snpcal_unifiedGenotyper_mbq_${9}_mmq_${4}.vcf" ]
 then
  echo "vcf incomplete!"
  exit 100;
fi

exit 0
