#!/bin/bash
set -x

#Source modules for current shell
source /home/sgeadmin/.bash_profile


####INPUTS: $1: BWA_RESULTS $2 SAMPLE $3: TEMP_DIR $4 mmq $5 GENOME $6 DBSNP $7 TARGET_FLANKS_FILE $8 GATK_THREADS $9 mbq


if [ -z $7 ];then
  LTAG=""
else
  LTAG="-L $7"
fi

EVALNAME=$(basename $2)

java -Xmx4g -jar $GATK_HOME \
  -T VariantEval \
  -R $5 \
  --dbsnp $6 \
  $LTAG \
  -EV CountVariants \
  -o $1/$2/vcf/${2}_snpcal_unifiedGenotyper_mbq_${9}_mmq_${4}_filtered_nomask.vcf.eval \
  --eval:$EVALNAME $1/$2/vcf/${2}_snpcal_unifiedGenotyper_mbq_${9}_mmq_${4}_filtered_nomask.vcf \

if [ ! -s "$1/$2/vcf/${2}_snpcal_unifiedGenotyper_mbq_${9}_mmq_${4}_filtered_nomask.vcf.eval" ];then echo "Missing ${2}_snpcal_unifiedGenotyper_mbq_${9}_mmq_${4}_filtered_nomask.vcf.eval":exit 100;fi

exit 0
