#!/bin/bash
set -x

#Source modules for current shell
source /home/sgeadmin/.bash_profile


####INPUTS: $1: BWA_RESULTS $2 SAMPLE $3: TEMP_DIR $4 mmq $5 GENOME $6 DBSNP $7 TARGET_FLANKS_FILE $8 GATK_THREADS $9 mbq


if [ ! -s "$1/$2/vcf/${2}_snpcal_unifiedGenotyper_mbq_${9}_mmq_${4}.vcf.idx" ]; then
 echo "Incomplete VCF:" $1/$2/vcf/${2}_snpcal_unifiedGenotyper_mbq_${9}_mmq_${4}.vcf
 exit 100
fi

java -Xmx4g -jar $GATK_HOME \
  -T VariantFiltration \
  -R $5 \
  --variant:VCF $1/$2/vcf/${2}_snpcal_unifiedGenotyper_mbq_${9}_mmq_${4}.vcf \
  -l INFO \
  --clusterWindowSize 10 \
  --filterName "HomopolymerRun"  --filterExpression "HRun>=4" \
  --filterName "QualByDepth"     --filterExpression "QD<5.0" \
  --filterName "StrandBias"      --filterExpression "FS>=20.0" \
  -o $1/$2/vcf/${2}_snpcal_unifiedGenotyper_mbq_${9}_mmq_${4}_filtered_nomask.vcf

if [ ! -s "$1/$2/vcf/${2}_snpcal_unifiedGenotyper_mbq_${9}_mmq_${4}_filtered_nomask.vcf.idx" ]
 then
  echo "vcf incomplete!"
  exit 100;
fi


exit 0
