#!/bin/bash
set -x

####INPUTS: $1: BWA_RESULTS $2: TEMP_DIR $3 RG_STR $4 BWA_VERSION $5 BWA_INDEX $6 SAMPLE $7 RAW_DATA_DIR $8 BWA_OPTIONS $9 COMPRESSION

#Source modules for current shell
source /home/sgeadmin/.bash_profile

#Make assemblies output director if it doesn't exist
mkdir -p $1/$6

#Move tmp dir to scratch
export TMPDIR=$2  #TEMP_DIR


######################## MAPPING WITH BWA #######################
comp=$9
#create config file
if [ "$comp" = "GZIP" ]; then
	$BWA_HOME mem $8 -R "$3" $5 $7/$6_1.fastq.gz $7/$6_2.fastq.gz | pigz -9 > $1/$6/$6.aligned.sam.gz
else
	$BWA_HOME mem $8 -R "$3" $5 $7/$6_1.fastq $7/$6_2.fastq | pigz -9 > $1/$6/$6.aligned.sam.gz
fi


######################## SAMTOOLS SORT AND INDEX #######################
$SAMTOOLS_HOME view $1/$6/$6.aligned.sam.gz -bS -o $1/$6/$6.bam
$SAMTOOLS_HOME sort $1/$6/$6.bam $1/$6/$6_sorted
$SAMTOOLS_HOME index $1/$6/$6_sorted.bam
#exit 0


#
# check STDOUT has correct termination string
#HASENDING=$(tail -n 5 $1 | grep " Processed")

#print "HASENDING="+$HASENDING

#if [ -n "$HASENDING" ]
# then
#  OK=1
# else
#  #echo " empty variable"
#  echo "Error: Improper stdout termination"
#  echo $EXITSTATUS
#  echo "bwa (mem) has likely crashed. Exiting"
#  exit 100
#fi

exit 0
