#!/bin/bash
set -x

#Source modules for current shell
source /home/sgeadmin/.bash_profile

#Move tmp dir to scratch
export TMPDIR=$3  #TEMP_DIR

####INPUTS: $1: BWA_RESULTS $2 SAMPLE $3: TEMP_DIR $4 PICARD_VERSION $5 RG_STR_PICARD


echo 'java -Xmx4g -verbose:sizes -jar $PICARD_HOME/AddOrReplaceReadGroups.jar VALIDATION_STRINGENCY=SILENT INPUT=$1/$2/$2_sorted.bam  OUTPUT=$1/$2/$2_sorted.rg.bam TMP_DIR=$3 SORT_ORDER=coordinate CREATE_INDEX=true $5 '

java -Xmx4g -verbose:sizes -jar $PICARD_HOME/AddOrReplaceReadGroups.jar \
VALIDATION_STRINGENCY=SILENT \
INPUT=$1/$2/$2_sorted.bam  \
OUTPUT=$1/$2/$2_sorted.rg.bam \
TMP_DIR=$3  \
SORT_ORDER=coordinate \
CREATE_INDEX=true \
$5

if [ ! -e "$1/$2/$2_sorted.rg.bam" ]
then
 echo "Missing output: $1/$2/$2_sorted.rg.bam"
 exit 100
fi


# Check BAM EOF
#BAM_28=$(tail -c 28 $1/$2/$2_sorted.rg.bam|xxd -p)
#if [ "$MAGIC28" != "$BAM_28" ]
#then
#  echo "Error with BAM EOF" 1>&2
#  exit 100
#fi

#exit 0
