#!/bin/bash
set -x

#Source modules for current shell
source /home/sgeadmin/.bash_profile

#Move tmp dir to scratch
#export TMPDIR=$3  #TEMP_DIR

####INPUTS: $1: BWA_RESULTS $2 SAMPLE $3: TEMP_DIR


######################## PICARD AddOrReplaceReadGroups #################
#java -Xms454m -Xmx3181m -jar `which AddOrReplaceReadGroups.jar` \
#	I=$1/$2/$2_sorted.bam \
#	O=$1/$2/$2_sorted.rg.bam \
#	SM=$2 \
#	VALIDATION_STRINGENCY=LENIENT \
#	ID=1 \
#	LB=unknown \
#	PL=illumina \
#	PU=1234

######################## PICARD MarkDuplicates #########################
java -Xmx2g -verbose:sizes -jar $PICARD_HOME/MarkDuplicates.jar \
	I=$1/$2/$2_sorted.rg.bam \
	O=$1/$2/$2_sorted.rg.md.bam \
	M=$1/$2/$2_sorted.rg.md.metrics \
	TMP_DIR=$3 \
	REMOVE_DUPLICATES=false \
	CREATE_INDEX=true \
	MAX_RECORDS_IN_RAM=1000000 \
	OPTICAL_DUPLICATE_PIXEL_DISTANCE=10

exit 0
