#!/bin/bash
set -x

#Source modules for current shell
source /home/sgeadmin/.bash_profile

#Move tmp dir to scratch
export TMPDIR=$3  #TEMP_DIR

####INPUTS: $1: BWA_RESULTS $2 SAMPLE $3: TEMP_DIR


arr=($(ls $1/$2/*.rg.bam))
#bamct=$(ls ../../*_rg.bam|wc -l)
if [ ${#arr[@]} -eq 0 ]
  then
   echo "Error: No BAM files found in BAM_DIR($1/$2)"
   exit 100
elif [ ${#arr[@]} -eq 1 ]
	then
#	bam1=$(ls $BAM_DIR/*.bam | head -1)
	cp -v ${arr[0]} $1/$2/$2_merged.bam
else
	# create sam header for merged bam
#	bam1=$(ls $BAM_DIR/*.bam | head -1)
	$SAMTOOLS_HOME/samtools view -H ${arr[0]} | grep -v RG > $1/$2/header.sam

	for i in `ls $1/$2/*_rg.bam`;do $SAMTOOLS_HOME/samtools view -H $i | grep RG;done | sort | uniq >> $1/$2/header.sam

	$SAMTOOLS_HOME/samtools merge -h header.sam $1/$2/$2_merged.bam $1/$2/*_rg.bam
fi


if [ !  -s "$1/$2/$2_merged.bam" ]
then
 echo "Incorrect Output!"
 exit 100
fi

# Check BAM EOF
#BAM_28=$(tail -c 28 $1/$2/$2_merged.bam|xxd -p)
#if [ "$MAGIC28" != "$BAM_28" ]
#then
#  echo "Error with BAM EOF" 1>&2
#  exit 100
#else
#  echo "BAM EOF Correct. Indexing BAM ..."
#fi

echo $SAMTOOLS_HOME/samtools index $1/$2/$2_merged.bam $1/$2/$2_merged.bai
$SAMTOOLS_HOME/samtools index $1/$2/$2_merged.bam $1/$2/$2_merged.bai


exit 0
