#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os
from setuptools import setup, find_packages
#from distutils.core import setup

def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

setup(
  name = 'omics_api',
  version = '0.0.2alpha', 
  author = 'Han-Jen Lin',
  author_email = 'hanjl@mail.med.upenn.edu',
  description = 'Extensible computational pipeline for running next generation sequencing analyses',
  license = 'MIT',
  keywords = "biology omics transcriptomics pipeline RNA-seq ChIP-seq WGS WES genome exome HPC",
  url = 'https://bitbucket.org/HanJenLin/omics_sge',
  download_url = "http://pypi.python.org/pypi/omics_api",
  long_description="Omics pipe is an open-source. Omics api is designed for user do application to automtic build or maintain pipeline.  It currently automates and provides summary reports for WES & RNA pipelines etc.",
  packages = ['omics_api'],
  #package_data = {'omics_pipe' : ['scripts/reporting/data/brca_mol_class/*','scripts/reporting/data/DoG/*', 'scripts/reporting/data/geneLists/*','scripts/reporting/ref/*', 'scripts/reporting/src/*']},
  include_package_data = True, #include everything in source control
  entry_points= {
        'console_scripts': [
            'omics_pipe = omics_pipe.main:main'
                            ]
                 },
  install_requires=[
    "django==1.5.4",
    "ruffus>=2.0.0",
    "drmaa",
    "sumatra==0.5.2",
    "PyYAML>=3.10",
    "argparse",
    "ez_setup",
    "setuptools",
    "mercurial",
    "hgapi",
    "raven==5.0.0",
    "importlib",
    "PyAML==3.11",
    "django-oauth-toolkit==0.9.0",
    "python-social-auth==0.2.13",
    "django-rest-swagger==0.3.4",
    "PIL==1.1.7",
    "django-grappelli==2.7.2",
    "django-filebrowser==3.6.1",
    "djangorestframework-yaml==1.0.2"
  ],
  classifiers = [
    'Programming Language :: Python',
    'Development Status :: 4 - Beta',
    'License :: OSI Approved :: MIT License',
    'Operating System :: POSIX',
    'Operating System :: MacOS :: MacOS X',
    'Operating System :: Microsoft :: Windows',
    'Intended Audience :: Science/Research',
    'Topic :: Scientific/Engineering :: Bio-Informatics',
  ],
)

